<?php
class default_article implements \SYSTEM\PAGE\Page {
    var $id = null;
    public function __construct($id) {
        $this->id = $id;}

    public static function title(){
        return null;}
    public static function meta(){
        return array();}

    public static function css(){
        return array();}
    public static function js(){
        return array(   new PPAGE('default_article/js/default_article.js'));}

    public function html(){
        $element = \SYSTEM\PAGE\text::get_adv($this->id);
        return SYSTEM\PAGE\replace::replace(article::full($element), \SYSTEM\PAGE\text::tag('time'));
    }
}